PHP-инклюдинг в MODx

Дата публикации:
06.11.2006
Дата изменения:
28.11.2008
Всего просмотров:
3333
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MODx CMS 0.x
Уязвимые версии: MODx 0.9.2.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "base_path" в сценарии manager/media/browser/mcpuk/connectors/php/Commands/Thumbnail.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/manager/media/browser/mcpuk/connectors/php/Commands/Thumbnail.php?base_path=[file]

URL производителя: modxcms.com

Решение: Установите последнюю версию 0.9.2.2 с сайта производителя.

Ссылки: MODx CMS <= 0.9.2.1 (FCKeditor) Remote File Include Vulnerability

или введите имя

CAPTCHA